Codebase list entr / f472670
Update upstream source from tag 'upstream/4.3' Update to upstream version '4.3' with Debian dir 4421bca7c8d1f168e1cfa218afd1b4efb79e1ad1 Yuri D'Elia 4 years ago
5 changed file(s) with 32 addition(s) and 18 deletion(s). Raw diff Collapse all Expand all
00 PREFIX ?= /usr/local
11 MANPREFIX ?= ${PREFIX}/man
2 RELEASE = 4.2
2 RELEASE = 4.3
33 CPPFLAGS += -DRELEASE=\"${RELEASE}\"
44
55 all: versioncheck entr
00 = Release History
1
2 == 4.3: September 25, 2019
3
4 - Move hosting from bitbucket.org to github.com
5 - Rename tag names from entr-X.Y to X.Y
6 - Replace hg with git as a dependency for system-test.sh
17
28 == 4.2: March 28, 2019
39
1616 Source Installation - Windows Subsystem for Linux
1717 -------------------------------------------------
1818
19 wget http://entrproject.org/patches/entr-3.9-wsl
19 wget http://eradman.com/entrproject/patches/entr-3.9-wsl
2020 patch -p1 < entr-3.9-wsl
2121 ./configure
2222 make install
2323
2424 The source patch is the current workaround for deformed [inotify
2525 support on WSL](https://github.com/Microsoft/BashOnWindows/issues/2507).
26
27 Source Installation - Docker for Mac
28 ------------------------------------
29
30 wget http://eradman.com/entrproject/patches/entr-3.9-docker
31 patch -p1 < entr-3.9-docker
32 ./configure
33 make install
34
35 The source patch is the current workaround for deformed [inotify
36 support on Docker for Mac](https://github.com/docker/for-mac/issues/896).
2637
2738 Man Page Examples
2839 -----------------
5364 A release history as well as features in the upcoming release are covered in the
5465 [NEWS] file.
5566
56 License
57 -------
58
59 Source is under and ISC-style license. See the [LICENSE] file for more detailed
60 information on the license used for compatibility libraries.
61
6267 [kqueue(2)]: http://man.openbsd.org/OpenBSD-current/man2/kqueue.2
6368 [inotify(7)]: http://man.he.net/?section=all&topic=inotify
64 [NEWS]: http://www.bitbucket.org/eradman/entr/src/default/NEWS
65 [LICENSE]: http://www.bitbucket.org/eradman/entr/src/default/LICENSE
69 [NEWS]: https://raw.githubusercontent.com/eradman/entr/master/NEWS
8787 Evaluate the first argument using the interpreter specified by the
8888 .Ev SHELL
8989 environment variable.
90 When this flag is set, the name of the shell and exit code is printed after each
90 If stdout is a TTY, the name of the shell and exit code is printed after each
9191 invocation.
9292 .El
9393 .Pp
9494 The first argument named
9595 .Ar /_
9696 is replaced with the absolute path of the first file to trigger an event.
97 If the restart option is used the first file under watch is treated as the default.
97 The first file under watch is used as the default.
98 If the
99 .Fl s
100 option is used, the name of the first file to triggler an event can be read from
101 .Va $0 .
98102 .Sh COMMANDS
99103 .Nm
100104 listens for keyboard input and responds to the following commands:
3333
3434 clear_tty='test -t 0 && stty echo icanon'
3535 clear_tmux='tmux kill-session -t $tsession 2>/dev/null || true'
36 clear_tmp='rm -r $tmp'
36 clear_tmp='rm -rf $tmp'
3737 trap "$clear_tty; $clear_tmux; $clear_tmp" EXIT
3838
3939 # required utilities
4040
41 utils="hg vim tmux"
41 utils="git vim tmux"
4242 for util in $utils; do
4343 p=$(which $util 2> /dev/null) || {
4444 echo "ERROR: could not locate the '$util' utility" >&2
179179 setup
180180 cp /usr/include/*.h $tmp/
181181 cd $tmp
182 hg init
183 hg add *.h
184 hg commit -u "regression" -m "initial checkin"
182 git init -q
183 git add *.h
184 git commit -m "initial checkin" -q
185185 for f in `ls *.h`; do
186186 chmod 644 $f
187187 echo "" >> $f
190190 ls $tmp/*.h | ./entr -p echo "changed" > $tmp/exec.out &
191191 bgpid=$! ; zz
192192 cd $tmp
193 hg revert *.h
193 git checkout *.h -q
194194 cd - > /dev/null ; zz
195195 kill -INT $bgpid
196196 wait $bgpid || assert "$?" "130"